/**************************************************************************
 *									  *
 * 		 Copyright (C) 1995-1996 Silicon Graphics, Inc.		  *
 *									  *
 *  These coded instructions, statements, and computer programs  contain  *
 *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
 *  are protected by Federal copyright law.  They  may  not be disclosed  *
 *  to  third  parties  or copied or duplicated in any form, in whole or  *
 *  in part, without the prior written consent of Silicon Graphics, Inc.  *
 *									  *
 **************************************************************************/

#ifndef	__SYS_UNCINTF_H
#define	__SYS_UNCINTF_H
#ifdef __cplusplus
extern "C" {
#endif

#ifdef _KERNEL

#include        <sys/types.h>
#include        <sys/systm.h>
#include        <sys/msg.h>
#include        <sys/cmn_err.h>
#include        <sys/syscall.h>
#include        <sys/driver.h>
#include        <sys/conf.h>
#include        <sys/vnode.h>
#include        <sys/ddi.h>
#include        <sys/cred.h>
#include        <sys/errno.h>
#include        <sys/mtio.h>
#include        <sys/tpsc.h>
#include        <sys/scsi.h>
#include        <sys/proc.h>
#include	<sys/file.h>
#include	<sys/prctl.h>


extern int	tpscstat(vnode_t *, void *, int);
extern int	isa_scsi_tape(vnode_t *, int *);
extern void	*syscall_intercept(int sysnum, sy_call_t intercept_function);
extern void	syscall_restore(int sysnum, void *);
extern int	syscall_continue(void *, sysarg_t *, void *, uint);
extern dev_t	getcttydev(pid_t tpid);
extern int	fdt_getnum(void);
extern pid_t	getparent(pid_t cpid);
extern int 	kmsgget(key_t key, int msgflg, int *errno);
extern int 	kmsgctl(int msqid, int cmd, struct msqid_ds *buf, int *errno);
extern int 	kmsgsnd(int msqid, void *msgp, size_t msgsz, int msgflg, 
						int *errno);
extern int 	kmsgrcv(int msqid, void *msgp, size_t msgsz, long msgtyp, 
						int msgflg, int *errno);
extern int	getf(int, struct file **);
extern int	fdt_dup(int, struct file *, int *);
extern char	fdt_getflags(int);

#endif /* _KERNEL */

#ifdef __cplusplus
}
#endif
#endif	/* !__SYS_UNCINTF_H */
